import { ApiGatewayManagementApiClient, PostToConnectionCommand } from '@aws-sdk/client-apigatewaymanagementapi';
export const sendResponse = async ({ endpoint, connectionId, }, response) => {
    await new ApiGatewayManagementApiClient({ endpoint }).send(new PostToConnectionCommand({
        ConnectionId: connectionId,
        Data: JSON.stringify(response),
    }));
};
//# sourceMappingURL=sendResponse.js.map